Bug 869329 - [RFE] GUI infra: automate turning single quote (') to double quote ('') in properties files that are referring to Messages-originated intrefaces
[RFE] GUI infra: automate turning single quote (') to double quote ('') in pr...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Einav Cohen
bugs@ovirt.org
ux
: CodeChange, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 11:24 EDT by Einav Cohen
Modified: 2016-01-28 16:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 11:27:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Einav Cohen 2012-10-23 11:24:54 EDT
Description of problem:
[see bug 867421]

Currently, .properties files that refer to Messages-originated interfaces should contain double quote ('') where a single quote (') is required.
.properties files that refer to Constants-originated interfaces can simply have a single quote (').

In order to unify the approach/requirements for the different .properties files in the system to have only a single quote (') in the relevant strings, we need to automatically search-replace single quote to dobule-quote in in Messages originated interfaces.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Einav Cohen 2012-10-23 11:26:09 EDT
see bug 867421, comments 5 and 6 for solution ideas.
Comment 2 Itamar Heim 2014-06-16 11:27:08 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.